aboutsummaryrefslogtreecommitdiff
path: root/test/Verifier/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/Verifier/Makefile')
-rw-r--r--test/Verifier/Makefile19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/Verifier/Makefile b/test/Verifier/Makefile
new file mode 100644
index 0000000000..2812a7e549
--- /dev/null
+++ b/test/Verifier/Makefile
@@ -0,0 +1,19 @@
+# test/Regression/Verifier/Makefile
+#
+# This directory contains regression tests for the LLVM verifier pass. Basically
+# all of these LLVM source files are invalid programs that should be marked as
+# such by the verifier
+
+LEVEL = ../../..
+include $(LEVEL)/test/Makefile.tests
+
+TESTS := $(wildcard *.ll)
+
+all:: $(addprefix Output/, $(TESTS:%.ll=%.ntbc))
+
+Output/%.ntbc: %.ll $(LAS) Output/.dir
+ @echo "======== Verifying $< ==========="
+ if $(LAS) -f $< -o /dev/null; \
+ then $(FAILURE) $@; exit 1; \
+ else touch $@; exit 0;\
+ fi